Update Job Architecture Change
curl --request PATCH \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes/{change_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"change_data": {
"job_description": "The Front-End Developer is responsible for implementing visual elements that users interact with on the company's web applications..."
}
}
EOFimport requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes/{change_id}"
payload = { "change_data": { "job_description": "The Front-End Developer is responsible for implementing visual elements that users interact with on the company's web applications..." } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
change_data: {
job_description: 'The Front-End Developer is responsible for implementing visual elements that users interact with on the company\'s web applications...'
}
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes/{change_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]max connections reached: <limit>[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Changes
Update Job Architecture Change
Update a specific Job architecture change with new data.
Update Job Architecture Change
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- https://techwolf.eu.auth0.com/oauth/token
Scopes1
write
allows modifying resources
Path Parameters
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Required string length:
1 - 100Pattern:
[a-zA-Z0-9_-]+Example:
"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Body
application/json
Updated change data
Show child attributes
Show child attributes
Example:
{
"job_description": "The Front-End Developer is responsible for implementing visual elements that users interact with on the company's web applications..."
}
Response
No Content
Was this page helpful?